Taiga
API ReferencePre EncounterCoveragesV1

Get coverage history

Gets a coverage's history. Full history is returned if no filters are defined. The return list is ordered by version, defaulting to ascending.

GET
/coverages/v1/{id}/history

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Path Parameters

id*pre-encounterCoverageId

The unique identifier for a Coverage in the database

Formatuuid

Query Parameters

start?|
Formatdate
end?|
Formatdate
non_auto_updated_coverages_only?|

If true, only returns coverages that have NOT been auto-updated by the system.

sort_direction?|

Defaults to ascending. Sorts by version.

limit?|

Must be between 0 and 1000. No default.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/coverages/v1/497f6eca-6276-4993-bfeb-53cbbbba6f08/history"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "organization_id": "string",    "deactivated": true,    "version": 0,    "updated_at": "2019-08-24T14:15:22Z",    "updating_user_id": "string",    "status": "ACTIVE",    "subscriber": {      "name": {        "family": "string",        "given": [          "string"        ],        "use": "USUAL",        "period": {          "start": "2019-08-24",          "end": "2019-08-24"        },        "suffix": "string"      },      "date_of_birth": "2019-08-24",      "biological_sex": "FEMALE",      "address": {        "use": "HOME",        "line": [          "string"        ],        "city": "string",        "state": "string",        "postal_code": "string",        "country": "string",        "county": "string",        "period": {          "start": "2019-08-24",          "end": "2019-08-24"        }      },      "employer_name": "string"    },    "relationship": "SELF",    "patient": "string",    "insurance_plan": {      "member_id": "string",      "payer_id": "string",      "payer_name": "string",      "additional_payer_information": {        "availity_eligibility_id": "string",        "availity_payer_id": "string",        "availity_payer_name": "string",        "availity_remittance_payer_id": "string"      },      "group_number": "string",      "name": "string",      "plan_type": "09",      "type": "01",      "period": {        "start": "2019-08-24",        "end": "2019-08-24"      },      "insurance_card_image_locator": "string",      "address": {        "use": "HOME",        "line": [          "string"        ],        "city": "string",        "state": "string",        "postal_code": "string",        "country": "string",        "county": "string",        "period": {          "start": "2019-08-24",          "end": "2019-08-24"        }      },      "payer_plan_group_id": "166be4f9-7019-434a-a528-4fd642d5501d",      "carve_outs": [        {          "carve_out": "BEHAVIORAL",          "member_id": "string",          "payer_id": "string",          "payer_name": "string",          "group_number": "string",          "plan_type": "09",          "type": "01",          "payer_plan_group_id": "166be4f9-7019-434a-a528-4fd642d5501d"        }      ]    },    "verified": true,    "eligibility_checks": [      {        "check_id": "string",        "service_code": "1",        "status": "COMPLETED",        "initiated_by": "string",        "initiated_at": "2019-08-24T14:15:22Z"      }    ],    "latest_eligibility_check": {      "check_id": "string",      "status": "ACTIVE",      "initiated_at": "2019-08-24T14:15:22Z",      "errors": [        {          "field?": "string",          "description?": "string",          "location?": "string",          "possibleResolutions?": "string",          "code?": "string",          "followupAction?": "string"        }      ]    },    "benefits": {      "plan_coverage": {        "in_network": {          "deductible": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "deductible_contract": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "deductible_remaining": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "deductible_year_to_date": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max_contract": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max_remaining": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max_year_to_date": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "additional_notes": "string"        },        "in_network_flat": [          {            "type": "DEDUCTIBLE",            "coverageLevel": "EMPLOYEE_AND_CHILDREN",            "unit": "PERCENT",            "value": 0.1,            "additional_notes": "string"          }        ],        "out_of_network": {          "deductible": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "deductible_contract": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "deductible_remaining": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "deductible_year_to_date": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max_contract": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max_remaining": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "oop_max_year_to_date": {            "family": 0,            "individual": 0,            "employeeAndSpouse": 0,            "employeeAndChildren": 0          },          "additional_notes": "string"        },        "out_of_network_flat": [          {            "type": "DEDUCTIBLE",            "coverageLevel": "EMPLOYEE_AND_CHILDREN",            "unit": "PERCENT",            "value": 0.1,            "additional_notes": "string"          }        ]      },      "service_specific_coverage": [        {          "service_code": "1",          "in_network": {            "copay": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "coinsurance": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "visits": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "visits_remaining": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "additional_notes": "string"          },          "in_network_flat": [            {              "type": "DEDUCTIBLE",              "coverageLevel": "EMPLOYEE_AND_CHILDREN",              "unit": "PERCENT",              "value": 0.1,              "additional_notes": "string"            }          ],          "out_of_network": {            "copay": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "coinsurance": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "visits": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "visits_remaining": {              "family": 0,              "individual": 0,              "employeeAndSpouse": 0,              "employeeAndChildren": 0            },            "additional_notes": "string"          },          "out_of_network_flat": [            {              "type": "DEDUCTIBLE",              "coverageLevel": "EMPLOYEE_AND_CHILDREN",              "unit": "PERCENT",              "value": 0.1,              "additional_notes": "string"            }          ]        }      ],      "benefits_related_entities": [        {          "entityIdentifier": "string",          "entityType": "string",          "entityName": "string",          "contactInformation": [            {              "mode": "string",              "value": "string"            }          ],          "serviceTypeCodes": [            "1"          ]        }      ],      "non_covered_details": [        {          "type": "DEDUCTIBLE",          "coverageLevel": "EMPLOYEE_AND_CHILDREN",          "unit": "PERCENT",          "value": 0.1,          "additional_notes": "string",          "service_type_codes": [            "1"          ]        }      ],      "notes": "string",      "autoUpdatedEligibilityCheckId": "string"    },    "orcon": true,    "auto_update_enabled": true,    "previous_appointment_copays": {      "property1": 0,      "property2": 0    }  }]